package de.siphalor.was.visual.jfx.util;

import javafx.scene.input.DataFormat;

import java.io.Serializable;

public interface DraggedProduct extends Serializable {
	DataFormat FORMAT = new DataFormat("application/java-was-jfx-product-move");

	class Quest implements DraggedProduct {
		public final int index;

		public Quest(int index) {
			this.index = index;
		}
	}

	class Slot implements DraggedProduct {
		public final int x;
		public final int y;

		public Slot(int x, int y) {
			this.x = x;
			this.y = y;
		}
	}
}
